=== doc/Makefile ===
# trailing slash is mandatory, otherwise xsltproc will fail
OUT_DIR = /tmp/
JAVAHELP_XSL_SHEET = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/javahelp/javahelp.xsl
DOCBOOK2HTML = docbook2html
XSLTPROC = xsltproc

# allow for other variable values

ifeq ($(shell test -r ..//Makefile.config && echo "true"),true)
  include ..//Makefile.config
endif

docbook-html:
	$(DOCBOOK2HTML) -o $(OUT_DIR) xnap-manual.docbook

javahelp:
	$(XSLTPROC) -o $(OUT_DIR) $(JAVAHELP_XSL_SHEET) xnap-manual.xml
