=== junit/Makefile ===
all %:
	make -C .. C_DEPENDS="$(shell cd ..; find junit/ -name "*Test.java")" $@
