=== util/Makefile ===
all %:
	make -C .. C_DEPENDS="$(shell cd ..; find util/ -name "*.java")" $@
