=== debian/changelog ===
xnap (2.5-pre3-2) unstable; urgency=low

  * control: Added java2-runtime to dependencies. (closes: #126849)

 -- Yven Johannes Leist <leist@beldesign.de>  Tue, 28 Oct 2003 00:21:54 +0100

xnap (2.5-pre3-1) unstable; urgency=low

  * xnap/XNap.java: New upstream version. (closes: #216599)

  * Makefile.config: Added rt.jar from jre1.4 to $CLASSPATH (closes: #213674)
  
  * debian/control: Removed java-virtual-machine from dependencies and
    added jre1.4. Unfortunately XNap cannot be run with gcj or similar
    incomplete java implementations. (closes: #201615)

 -- Yven Johannes Leist <leist@beldesign.de>  Mon,  6 Oct 2003 21:32:02 +0200

xnap (2.5-pre2-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Tue,  6 May 2003 21:09:06 +0200

xnap (2.5-pre1-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Tue, 22 Apr 2003 18:27:59 +0200

xnap (2.4r1-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Thu, 13 Mar 2003 23:30:26 +0100

xnap (2.4-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Sun,  9 Mar 2003 00:44:34 +0100

xnap (2.4-pre5-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Sat, 18 Jan 2003 17:13:56 +0100

xnap (2.4-pre4-2) unstable; urgency=low

  * Fixed runtime failure caused by a missing i18n file. I had removed
    some files to get rid of local changes, and then forgot to do a cvs up
    before building the package, stupid me... (closes: #176127).

 -- Yven Johannes Leist <leist@beldesign.de>  Fri, 10 Jan 2003 13:57:11 +0100

xnap (2.4-pre4-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Tue,  7 Jan 2003 01:41:16 +0100

xnap (2.4-pre3-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Wed, 18 Dec 2002 02:29:55 +0100

xnap (2.4-pre2-1) unstable; urgency=low

  * New upstream version.
  * Fixed unconditional include of j2re1.3 rt.jar (closes: #170617).

 -- Yven Johannes Leist <leist@beldesign.de>  Wed, 11 Dec 2002 16:38:23 +0100

xnap (2.4-pre1-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Wed, 11 Dec 2002 16:35:18 +0100

xnap (2.4-beta6-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Tue, 26 Nov 2002 17:17:07 +0100

xnap (2.4-beta5-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Sat, 16 Nov 2002 21:22:33 +0100

xnap (2.4-beta4-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Sat, 16 Nov 2002 21:22:22 +0100

xnap (2.4-beta3-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Sat, 16 Nov 2002 01:36:52 +0100

xnap (2.4-beta2-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Tue, 29 Oct 2002 21:11:23 +0100

xnap (2.4-beta1-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Sun, 27 Oct 2002 20:00:33 +0100

xnap (2.2-pre3-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Wed, 24 Jul 2002 16:57:36 +0200

xnap (2.2-pre2-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Sat, 20 Jul 2002 23:22:55 +0200

xnap (2.2-pre1-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Sun, 30 Jun 2002 19:33:20 +0200

xnap (2.1-release-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Tue,  7 May 2002 20:05:13 +0200

xnap (2.1-pre2-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Thu,  2 May 2002 21:28:41 +0200

xnap (2.1-pre1-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Tue, 23 Apr 2002 08:48:37 +0200

xnap (2.0-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Sat,  9 Mar 2002 01:04:37 +0100

xnap (2.0-pre3-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Tue, 26 Feb 2002 15:56:43 +0100

xnap (2.0-pre1-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Sun, 10 Feb 2002 20:17:30 +0100

xnap (2.0-alpha1-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Thu, 17 Jan 2002 12:21:47 +0100

xnap (1.3-pre1-1) unstable; urgency=low

  * New	upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Tue, 15 Jan 2002 16:02:12 +0100

xnap (1.2-1) unstable; urgency=low

  * New	upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Mon, 17 Dec 2001 18:34:05 +0100

xnap (1.1-1) unstable; urgency=low

  * New	upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Fri, 30 Nov 2001 23:37:33 +0100

xnap (1.1_pre2-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Wed, 14 Nov 2001 21:26:26 +0100

xnap (1.1_pre1-1) unstable; urgency=low

  * New upstream version.
  * Changed wrong versioning.
  * Updated documentation.
    
 -- Yven Johannes Leist <leist@beldesign.de>  Sat, 10 Nov 2001 15:46:03 +0100

xnap (1.0-1) unstable; urgency=low

  * New upstream version. (many New icons added via the Swing Action concept)

 -- Yven Johannes Leist <leist@beldesign.de>  Mon,  1 Oct 2001 15:46:58 +0200

xnap (1.0_pre6-1) unstable; urgency=low
  
  * New upstream version. (gift support is now working quite well!)

 -- Yven Johannes Leist <leist@beldesign.de>  Tue, 25 Sep 2001 23:09:57 +0200

xnap (1.0_pre5-1) unstable; urgency=low
  
  * New upstream version. (first try to integrate giFT...)


