=== debian/control ===
Source: xnap
Section: contrib/net
Priority: optional
Maintainer: Yven Johannes Leist <leist@beldesign.de>
Build-Depends-Indep: docbook-to-man, jikes, debhelper (>> 3.0.0)
Standards-Version: 3.6.1

Package: xnap
Architecture: all
Depends: j2re1.3 | j2re1.4 | java2-runtime
Suggests: xnap-snapshot
Description: A plugin-based filesharing client
 XNap is a plugin-based filesharing client written in java. 
 Currently it includes an OpenNap plugin, with multiple server support, 
 automatic downloading, resuming of incomplete files, chat, hotlist and 
 an advanced media library. It features a Swing GUI and a terminal mode.
