=== debian/rules ===
#!/usr/bin/make -f

# rules file for xnap

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

build:  build-stamp
build-stamp:
	dh_testdir
	$(MAKE) jar
	docbook-to-man debian/xnap.sgml > xnap.1
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) mrproper

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean

	$(MAKE) debian-install DESTDIR=$(CURDIR)/debian/xnap
	rm -f $(CURDIR)/debian/xnap/usr/share/doc/xnap/COPYING*
	
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman xnap.1
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog 
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
